Printers
List printers
GET /v1/printers
Scope: printers:read
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | ||
limit | query | string | ||
status | query | string | For example online, offline, paper_out | |
deviceId | query | string |
Responses
| Status | Description |
|---|---|
200 | A page of printers. |
Fields of the 200 response:
| Field | Type | Required | Description |
|---|---|---|---|
data | object[] | yes | |
data[].id | string | yes | Cloud printer ID, used as printerId when creating jobs |
data[].deviceId | string | yes | |
data[].agentPrinterId | string | yes | The ID the agent uses for this printer |
data[].name | string | yes | |
data[].alias | string | null | yes | |
data[].connection | string | yes | |
data[].kind | string | yes | |
data[].paper | string | null | yes | |
data[].codepage | string | null | yes | |
data[].capabilities | string[] | yes | |
data[].isDefault | boolean | yes | |
data[].status | string | yes | |
data[].lastStatusAt | string | null | yes | |
nextCursor | string | null | yes | Pass as ?cursor= for the next page |
curl "https://api.jodaprint.dev/v1/printers" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"
Get a printer
GET /v1/printers/{id}
Scope: printers:read
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Responses
| Status | Description |
|---|---|
200 | The printer. |
Fields of the 200 response:
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | Cloud printer ID, used as printerId when creating jobs |
deviceId | string | yes | |
agentPrinterId | string | yes | The ID the agent uses for this printer |
name | string | yes | |
alias | string | null | yes | |
connection | string | yes | |
kind | string | yes | |
paper | string | null | yes | |
codepage | string | null | yes | |
capabilities | string[] | yes | |
isDefault | boolean | yes | |
status | string | yes | |
lastStatusAt | string | null | yes |
curl "https://api.jodaprint.dev/v1/printers/<id>" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"